@mixin sizeVariant($name, $size) {
  &--#{$name} {
    font-size: var(--font-size-#{$size});

    svg {
      height: var(--font-size-#{$size});
    }
  }
}

@mixin colorVariant($name, $color) {
  &--#{$name} {
    color: var(--state-color-#{$color});
  }
}

.rui-icon-text {
  > svg {
    margin-right: var(--spacer-small);
    transform: translateY(0.2em);
  }

  @include sizeVariant('large', 'medium');
  @include sizeVariant('small', 'small');
  @include colorVariant('info', 'blue');
  @include colorVariant('success', 'green');
  @include colorVariant('warning', 'orange');
  @include colorVariant('danger', 'red');
  @include colorVariant('mute', 'mute');
}
